Bug 18002 - gnomesupport.h "missing"
gnomesupport.h "missing"
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2000-10-01 03:13 EDT by Warren L. Simmons
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-02 10:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren L. Simmons 2000-10-01 03:13:54 EDT
While trying to compile some simple sample programs using Gnome programming 
tools, I encountered the message that the include file gnomesupport.h 
(included in gnome.h) did not exist. It was not in the current directory. I 
found it in usr/lib/gnome-libs/include all by itself. Copying it over to 
the usr/lib/include directory got rid of that message, however many more 
files do not exist. It appears that during the assembly of your operating 
system some files got separated. For example, according to the gnome.h file 
the linker is to look in the current directory for the gnomesupport.h 
header file. It seems to me that's where it should be. Is there a way to 
straighten this out so that I can get the Gtk/Gnome programming environment 
running?  Is this a bug or is it deliberate?

Thank you.
Comment 1 Havoc Pennington 2000-10-02 11:10:50 EDT
That include file is architecture-specific, so can't go in /usr/include
according to the filesystem hierarchy standard. You should use the output of
gnome-config --cflags gnomeui to link your GNOME apps, which will add the
location of gnomesupport.h to your search path, and will also allow your app to
build on non-Linux systems. (Avoid hardcoding the -I and -l flags to gcc, use
gnome-config in the Makefile instead.)

Note You need to log in before you can comment on or make changes to this bug.